NX Open C++ Reference Guide
|
Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to Preferences::SessionPreferences
Created in NX3.0.0.
More...
Public Types | |
enum | BackgroundType { BackgroundTypeInherit, BackgroundTypePlain } |
Describes the available sketch background types. More... | |
enum | OriginType { OriginTypeInferFromPlaneSelection, OriginTypeProjectWorkPartOrigin } |
Describes the available sketch origin types. More... | |
enum | RigidSetConstraintType { RigidSetConstraintTypePreventConflict, RigidSetConstraintTypePreserveAll } |
Represents the constraint management option when creating a rigid sketch group. More... | |
Public Member Functions | |
bool | AutoDimensionsToArcCenter () |
Returns the flag of auto-dimensions to arc centre. | |
NXOpen::Preferences::SessionSketch::BackgroundType | BackgroundOption () |
Returns the background option Created in NX5.0.0. | |
bool | ChangeViewOrientation () |
Returns the change view orientation flag. | |
double | ConstraintSymbolSize () |
Returns the constraint symbol size. | |
bool | ContinuousAutoDimensioning () |
Returns the continuous auto dimensioning state in sketch preferences. | |
bool | CreateInferredConstraints () |
Returns the create inferred constraints Created in NX6.0.0. | |
NXString | DefaultArcNamePrefix () |
Returns the default arc name prefix Created in NX3.0.0. | |
NXString | DefaultConicNamePrefix () |
Returns the default conic name prefix Created in NX3.0.0. | |
NXString | DefaultLineNamePrefix () |
Returns the default line name prefix Created in NX3.0.0. | |
NXString | DefaultSketchNamePrefix () |
Returns the default sketch name prefix Created in NX3.0.0. | |
NXString | DefaultSplineNamePrefix () |
Returns the default spline name prefix Created in NX3.0.0. | |
NXString | DefaultVertexNamePrefix () |
Returns the default vertex name prefix Created in NX3.0.0. | |
bool | DelayEvaluation () |
Returns the delay evaluation preference. | |
NXOpen::Preferences::SketchPreferences::DimensionLabelType | DimensionLabel () |
Returns the dimension label Created in NX3.0.0. | |
bool | DisplayConstraintSymbols () |
Returns the display constraint symbols preference Created in NX8.5.0. | |
bool | DisplayDOFArrows () |
Returns the displays DOF arrows flag. | |
bool | DisplayObjectColor () |
Returns the display object color Created in NX6.0.0. | |
bool | DisplayObjectName () |
Returns the display object name Created in NX9.0.0. | |
bool | DisplaySectionMappingWarning () |
Returns the display section mapping warning flag. | |
bool | DynamicConstraintDisplay () |
Returns the dynamic constraints display flag. | |
double | FixedTextSize () |
Returns the dimension text size when the text size fixed flag is set. | |
bool | MaintainBlankStatus () |
Returns the maintain blank status flag. | |
bool | MaintainLayerStatus () |
Returns the maintain layer status flag. | |
NXOpen::Preferences::SessionSketch::OriginType | OriginOption () |
Returns the origin option | |
bool | RetainDimensions () |
Returns the retain dimensions flag. | |
NXOpen::Preferences::SessionSketch::RigidSetConstraintType | RigidSetConstraintOption () |
Returns the rigid set external constraint management option Created in NX9.0.0. | |
void | SetAutoDimensionsToArcCenter (bool toArcCenter) |
Sets the flag of auto-dimensions to arc centre. | |
void | SetBackgroundOption (NXOpen::Preferences::SessionSketch::BackgroundType backgroundType) |
Sets the background option Created in NX5.0.0. | |
void | SetChangeViewOrientation (bool changeViewOrientation) |
Sets the change view orientation flag. | |
void | SetConstraintSymbolSize (double constraintSymbolSize) |
Sets the constraint symbol size. | |
void | SetContinuousAutoDimensioning (bool continAutoDim) |
Sets the continuous auto dimensioning state in sketch preferences. | |
void | SetCreateInferredConstraints (bool createInferredConstraints) |
Sets the create inferred constraints Created in NX6.0.0. | |
void | SetDefaultArcNamePrefix (const NXString &defaultArcNamePrefix) |
Sets the default arc name prefix Created in NX3.0.0. | |
void | SetDefaultArcNamePrefix (const char *defaultArcNamePrefix) |
Sets the default arc name prefix Created in NX3.0.0. | |
void | SetDefaultConicNamePrefix (const NXString &defaultConicNamePrefix) |
Sets the default conic name prefix Created in NX3.0.0. | |
void | SetDefaultConicNamePrefix (const char *defaultConicNamePrefix) |
Sets the default conic name prefix Created in NX3.0.0. | |
void | SetDefaultLineNamePrefix (const NXString &defaultLineNamePrefix) |
Sets the default line name prefix Created in NX3.0.0. | |
void | SetDefaultLineNamePrefix (const char *defaultLineNamePrefix) |
Sets the default line name prefix Created in NX3.0.0. | |
void | SetDefaultSketchNamePrefix (const NXString &defaultSketchNamePrefix) |
Sets the default sketch name prefix Created in NX3.0.0. | |
void | SetDefaultSketchNamePrefix (const char *defaultSketchNamePrefix) |
Sets the default sketch name prefix Created in NX3.0.0. | |
void | SetDefaultSplineNamePrefix (const NXString &defaultSplineNamePrefix) |
Sets the default spline name prefix Created in NX3.0.0. | |
void | SetDefaultSplineNamePrefix (const char *defaultSplineNamePrefix) |
Sets the default spline name prefix Created in NX3.0.0. | |
void | SetDefaultVertexNamePrefix (const NXString &defaultVertexNamePrefix) |
Sets the default vertex name prefix Created in NX3.0.0. | |
void | SetDefaultVertexNamePrefix (const char *defaultVertexNamePrefix) |
Sets the default vertex name prefix Created in NX3.0.0. | |
void | SetDelayEvaluation (bool delayEvaluation) |
Sets the delay evaluation preference. | |
void | SetDimensionLabel (NXOpen::Preferences::SketchPreferences::DimensionLabelType dimensionLabel) |
Sets the dimension label Created in NX3.0.0. | |
void | SetDisplayConstraintSymbols (bool displayConstraintSymbols) |
Sets the display constraint symbols preference Created in NX8.5.0. | |
void | SetDisplayDOFArrows (bool displayDOFArrows) |
Sets the displays DOF arrows flag. | |
void | SetDisplayObjectColor (bool displayObjColor) |
Sets the display object color Created in NX6.0.0. | |
void | SetDisplayObjectName (bool displayObjectName) |
Sets the display object name Created in NX9.0.0. | |
void | SetDisplaySectionMappingWarning (bool displaySectionMappingWarning) |
Sets the display section mapping warning flag. | |
void | SetDynamicConstraintDisplay (bool dynamicConstraintDisplay) |
Sets the dynamic constraints display flag. | |
void | SetFixedTextSize (double fixedTextSize) |
Sets the dimension text size when the text size fixed flag is set. | |
void | SetMaintainBlankStatus (bool keepBlank) |
Sets the maintain blank status flag. | |
void | SetMaintainLayerStatus (bool maintainLayerStatus) |
Sets the maintain layer status flag. | |
void | SetOriginOption (NXOpen::Preferences::SessionSketch::OriginType originType) |
Sets the origin option | |
void | SetRetainDimensions (bool retainDimensions) |
Sets the retain dimensions flag. | |
void | SetRigidSetConstraintOption (NXOpen::Preferences::SessionSketch::RigidSetConstraintType constraintType) |
Sets the rigid set external constraint management option Created in NX9.0.0. | |
void | SetSnapAngle (double snapAngle) |
Sets the snap angle. | |
void | SetSolvingTolerance (double tolerance) |
Sets the sketch solving tolerance. | |
void | SetTextSizeFixed (bool textSizeFixed) |
Sets the text size fixed flag. | |
void | SetUpdateSketchOnly (bool delayModelUpdate) |
Sets the update sketch only preference. | |
void | SetUseSolvingTolerance (bool useTolerance) |
Sets the sketch solving tolerance flag. | |
double | SnapAngle () |
Returns the snap angle. | |
double | SolvingTolerance () |
Returns the sketch solving tolerance. | |
tag_t | Tag () const |
Returns the tag of this object. | |
bool | TextSizeFixed () |
Returns the text size fixed flag. | |
bool | UpdateSketchOnly () |
Returns the update sketch only preference. | |
bool | UseSolvingTolerance () |
Returns the sketch solving tolerance flag. | |
Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to Preferences::SessionPreferences
Created in NX3.0.0.
bool NXOpen::Preferences::SessionSketch::AutoDimensionsToArcCenter | ( | ) |
Returns the flag of auto-dimensions to arc centre.
If it is set to true, then we will infer auto-dimensions to arc centre when running auto-dimension
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionSketch::BackgroundType NXOpen::Preferences::SessionSketch::BackgroundOption | ( | ) |
Returns the background option
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::ChangeViewOrientation | ( | ) |
Returns the change view orientation flag.
If true, when a sketch is activated, the view will be changed to align with the sketch
Created in NX3.0.0.
License requirements : None
double NXOpen::Preferences::SessionSketch::ConstraintSymbolSize | ( | ) |
Returns the constraint symbol size.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::ContinuousAutoDimensioning | ( | ) |
Returns the continuous auto dimensioning state in sketch preferences.
Newly created sketch gets continuous auto dimensioning state from sketch preference.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::CreateInferredConstraints | ( | ) |
Returns the create inferred constraints
Created in NX6.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultArcNamePrefix | ( | ) |
Returns the default arc name prefix
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultConicNamePrefix | ( | ) |
Returns the default conic name prefix
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultLineNamePrefix | ( | ) |
Returns the default line name prefix
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultSketchNamePrefix | ( | ) |
Returns the default sketch name prefix
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultSplineNamePrefix | ( | ) |
Returns the default spline name prefix
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::SessionSketch::DefaultVertexNamePrefix | ( | ) |
Returns the default vertex name prefix
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DelayEvaluation | ( | ) |
Returns the delay evaluation preference.
This preference is used in the UI to indicate whether the sketch should be evaluated when a constraint is added to the sketch.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SketchPreferences::DimensionLabelType NXOpen::Preferences::SessionSketch::DimensionLabel | ( | ) |
Returns the dimension label
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols | ( | ) |
Returns the display constraint symbols preference
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DisplayDOFArrows | ( | ) |
Returns the displays DOF arrows flag.
Controls the display of the degree of freedom arrows. When this flag is set as False, the display of the arrows is turned OFF.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DisplayObjectColor | ( | ) |
Returns the display object color
Created in NX6.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DisplayObjectName | ( | ) |
Returns the display object name
Created in NX9.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DisplaySectionMappingWarning | ( | ) |
Returns the display section mapping warning flag.
If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::DynamicConstraintDisplay | ( | ) |
Returns the dynamic constraints display flag.
If it is True, constraint symbols do not display if the associated geometry is very small.
Created in NX3.0.0.
License requirements : None
double NXOpen::Preferences::SessionSketch::FixedTextSize | ( | ) |
Returns the dimension text size when the text size fixed flag is set.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::MaintainBlankStatus | ( | ) |
Returns the maintain blank status flag.
If true, when a sketch is activated, previously blanked objects will not be visible
Created in NX6.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::MaintainLayerStatus | ( | ) |
Returns the maintain layer status flag.
Controls whether the work layer remains the same or returns to its previous value when a sketch is deactivated.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionSketch::OriginType NXOpen::Preferences::SessionSketch::OriginOption | ( | ) |
Returns the origin option
Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::RetainDimensions | ( | ) |
Returns the retain dimensions flag.
If it is True, sketch dimensions continue to display after a sketch is deactivated.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionSketch::RigidSetConstraintType NXOpen::Preferences::SessionSketch::RigidSetConstraintOption | ( | ) |
Returns the rigid set external constraint management option
Created in NX9.0.0.
License requirements : None
void NXOpen::Preferences::SessionSketch::SetAutoDimensionsToArcCenter | ( | bool | toArcCenter | ) |
Sets the flag of auto-dimensions to arc centre.
If it is set to true, then we will infer auto-dimensions to arc centre when running auto-dimension
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
toArcCenter | toarccenter |
void NXOpen::Preferences::SessionSketch::SetBackgroundOption | ( | NXOpen::Preferences::SessionSketch::BackgroundType | backgroundType | ) |
Sets the background option
Created in NX5.0.0.
License requirements : None
backgroundType | background type |
void NXOpen::Preferences::SessionSketch::SetChangeViewOrientation | ( | bool | changeViewOrientation | ) |
Sets the change view orientation flag.
If true, when a sketch is activated, the view will be changed to align with the sketch
Created in NX3.0.0.
License requirements : None
changeViewOrientation | change view orientation |
void NXOpen::Preferences::SessionSketch::SetConstraintSymbolSize | ( | double | constraintSymbolSize | ) |
Sets the constraint symbol size.
Created in NX8.5.0.
License requirements : None
constraintSymbolSize | constraint symbol size |
void NXOpen::Preferences::SessionSketch::SetContinuousAutoDimensioning | ( | bool | continAutoDim | ) |
Sets the continuous auto dimensioning state in sketch preferences.
Newly created sketch gets continuous auto dimensioning state from sketch preference.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
continAutoDim | contin auto dim |
void NXOpen::Preferences::SessionSketch::SetCreateInferredConstraints | ( | bool | createInferredConstraints | ) |
Sets the create inferred constraints
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
createInferredConstraints | create inferred constraints |
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix | ( | const NXString & | defaultArcNamePrefix | ) |
Sets the default arc name prefix
Created in NX3.0.0.
License requirements : None
defaultArcNamePrefix | default arc name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix | ( | const char * | defaultArcNamePrefix | ) |
Sets the default arc name prefix
Created in NX3.0.0.
License requirements : None
defaultArcNamePrefix | default arc name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix | ( | const NXString & | defaultConicNamePrefix | ) |
Sets the default conic name prefix
Created in NX3.0.0.
License requirements : None
defaultConicNamePrefix | default conic name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix | ( | const char * | defaultConicNamePrefix | ) |
Sets the default conic name prefix
Created in NX3.0.0.
License requirements : None
defaultConicNamePrefix | default conic name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix | ( | const NXString & | defaultLineNamePrefix | ) |
Sets the default line name prefix
Created in NX3.0.0.
License requirements : None
defaultLineNamePrefix | default line name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix | ( | const char * | defaultLineNamePrefix | ) |
Sets the default line name prefix
Created in NX3.0.0.
License requirements : None
defaultLineNamePrefix | default line name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix | ( | const NXString & | defaultSketchNamePrefix | ) |
Sets the default sketch name prefix
Created in NX3.0.0.
License requirements : None
defaultSketchNamePrefix | default sketch name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix | ( | const char * | defaultSketchNamePrefix | ) |
Sets the default sketch name prefix
Created in NX3.0.0.
License requirements : None
defaultSketchNamePrefix | default sketch name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix | ( | const NXString & | defaultSplineNamePrefix | ) |
Sets the default spline name prefix
Created in NX3.0.0.
License requirements : None
defaultSplineNamePrefix | default spline name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix | ( | const char * | defaultSplineNamePrefix | ) |
Sets the default spline name prefix
Created in NX3.0.0.
License requirements : None
defaultSplineNamePrefix | default spline name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix | ( | const NXString & | defaultVertexNamePrefix | ) |
Sets the default vertex name prefix
Created in NX3.0.0.
License requirements : None
defaultVertexNamePrefix | default vertex name prefix |
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix | ( | const char * | defaultVertexNamePrefix | ) |
Sets the default vertex name prefix
Created in NX3.0.0.
License requirements : None
defaultVertexNamePrefix | default vertex name prefix |
void NXOpen::Preferences::SessionSketch::SetDelayEvaluation | ( | bool | delayEvaluation | ) |
Sets the delay evaluation preference.
This preference is used in the UI to indicate whether the sketch should be evaluated when a constraint is added to the sketch.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
delayEvaluation | delay evaluation |
void NXOpen::Preferences::SessionSketch::SetDimensionLabel | ( | NXOpen::Preferences::SketchPreferences::DimensionLabelType | dimensionLabel | ) |
Sets the dimension label
Created in NX3.0.0.
License requirements : None
dimensionLabel | dimension label |
void NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols | ( | bool | displayConstraintSymbols | ) |
Sets the display constraint symbols preference
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
displayConstraintSymbols | display constraint symbols |
void NXOpen::Preferences::SessionSketch::SetDisplayDOFArrows | ( | bool | displayDOFArrows | ) |
Sets the displays DOF arrows flag.
Controls the display of the degree of freedom arrows. When this flag is set as False, the display of the arrows is turned OFF.
Created in NX3.0.0.
License requirements : None
displayDOFArrows | display d o f arrows |
void NXOpen::Preferences::SessionSketch::SetDisplayObjectColor | ( | bool | displayObjColor | ) |
Sets the display object color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
displayObjColor | display obj color |
void NXOpen::Preferences::SessionSketch::SetDisplayObjectName | ( | bool | displayObjectName | ) |
Sets the display object name
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
displayObjectName | displayobjectname |
void NXOpen::Preferences::SessionSketch::SetDisplaySectionMappingWarning | ( | bool | displaySectionMappingWarning | ) |
Sets the display section mapping warning flag.
If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.
License requirements : None
displaySectionMappingWarning | displaysectionmappingwarning |
void NXOpen::Preferences::SessionSketch::SetDynamicConstraintDisplay | ( | bool | dynamicConstraintDisplay | ) |
Sets the dynamic constraints display flag.
If it is True, constraint symbols do not display if the associated geometry is very small.
Created in NX3.0.0.
License requirements : None
dynamicConstraintDisplay | dynamic constraint display |
void NXOpen::Preferences::SessionSketch::SetFixedTextSize | ( | double | fixedTextSize | ) |
Sets the dimension text size when the text size fixed flag is set.
Created in NX6.0.0.
License requirements : None
fixedTextSize | fixed text size |
void NXOpen::Preferences::SessionSketch::SetMaintainBlankStatus | ( | bool | keepBlank | ) |
Sets the maintain blank status flag.
If true, when a sketch is activated, previously blanked objects will not be visible
Created in NX6.0.0.
License requirements : None
keepBlank | keep blank |
void NXOpen::Preferences::SessionSketch::SetMaintainLayerStatus | ( | bool | maintainLayerStatus | ) |
Sets the maintain layer status flag.
Controls whether the work layer remains the same or returns to its previous value when a sketch is deactivated.
Created in NX3.0.0.
License requirements : None
maintainLayerStatus | maintain layer status |
void NXOpen::Preferences::SessionSketch::SetOriginOption | ( | NXOpen::Preferences::SessionSketch::OriginType | originType | ) |
Sets the origin option
Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.
Created in NX5.0.0.
License requirements : None
originType | origin type |
void NXOpen::Preferences::SessionSketch::SetRetainDimensions | ( | bool | retainDimensions | ) |
Sets the retain dimensions flag.
If it is True, sketch dimensions continue to display after a sketch is deactivated.
Created in NX3.0.0.
License requirements : None
retainDimensions | retain dimensions |
void NXOpen::Preferences::SessionSketch::SetRigidSetConstraintOption | ( | NXOpen::Preferences::SessionSketch::RigidSetConstraintType | constraintType | ) |
Sets the rigid set external constraint management option
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
constraintType | constrainttype |
void NXOpen::Preferences::SessionSketch::SetSnapAngle | ( | double | snapAngle | ) |
Sets the snap angle.
This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.
License requirements : None
snapAngle | snap angle |
void NXOpen::Preferences::SessionSketch::SetSolvingTolerance | ( | double | tolerance | ) |
Sets the sketch solving tolerance.
This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
tolerance | tolerance |
void NXOpen::Preferences::SessionSketch::SetTextSizeFixed | ( | bool | textSizeFixed | ) |
Sets the text size fixed flag.
If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.
License requirements : None
textSizeFixed | text size fixed |
void NXOpen::Preferences::SessionSketch::SetUpdateSketchOnly | ( | bool | delayModelUpdate | ) |
Sets the update sketch only preference.
This preference is used to indicate whether only the sketch should be updated while sketching using Direct Sketch. When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
delayModelUpdate | delay model update |
void NXOpen::Preferences::SessionSketch::SetUseSolvingTolerance | ( | bool | useTolerance | ) |
Sets the sketch solving tolerance flag.
Controls whether to use user input for sketch tolerance
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
useTolerance | usetolerance |
double NXOpen::Preferences::SessionSketch::SnapAngle | ( | ) |
Returns the snap angle.
This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.
License requirements : None
double NXOpen::Preferences::SessionSketch::SolvingTolerance | ( | ) |
Returns the sketch solving tolerance.
This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.
License requirements : None
tag_t NXOpen::Preferences::SessionSketch::Tag | ( | ) | const |
Returns the tag of this object.
bool NXOpen::Preferences::SessionSketch::TextSizeFixed | ( | ) |
Returns the text size fixed flag.
If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::UpdateSketchOnly | ( | ) |
Returns the update sketch only preference.
This preference is used to indicate whether only the sketch should be updated while sketching using Direct Sketch. When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.
License requirements : None
bool NXOpen::Preferences::SessionSketch::UseSolvingTolerance | ( | ) |
Returns the sketch solving tolerance flag.
Controls whether to use user input for sketch tolerance
Created in NX8.5.0.
License requirements : None